# Spieler
Date: 2012-12-22

## Class Spieler

- java.lang.Object
- - Spieler

    public class Spieler
    extends java.lang.Object

Die Klasse Spieler speichert die Daten eines Spielers für das Spiel BlackJack. Der Dealer wird dabei auch als Spieler angesehen.

Version:
  1.0 vom 19.06.2012
Author:
  Thomas Schaller

### Constructor Summary

Constructors
Constructor and Description
`Spieler(int guthaben)` Erzeugt einen Spieler mit einem bestimmten Startguthaben.

### Method Summary

Methods
`void` `abrechnen(double gewinnfaktor)` Rechnet den Gewinn des Spielers ab, da er gewonnen hat.
`int` `getGuthaben()` Liefert das aktuelle Guthaben des Spielers.
`Kartenhand` `getKarten()` Liefert eine Referenz auf die Kartenhand.
`void` `neueRunde()` Eine neue Runde wird begonnen.
`void` `setSpielleiter(Spielleitung spielleiter)` Referenz auf Spielleiter setzen.
`void` `setze(int betrag)` Setzt den Einsatz für das nächste Spiel.
`void` `zieheKarte()` Der Spieler wünscht eine weitere Karte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Spieler

    public Spieler(int guthaben)

Erzeugt einen Spieler mit einem bestimmten Startguthaben. Der Spieler wird mit einer leeren Kartenhand erzeugt.

Parameters:
  `guthaben` - Startguthaben des Spielers

### Method Detail

#### setSpielleiter

    public void setSpielleiter(Spielleitung spielleiter)

Referenz auf Spielleiter setzen.

Parameters:
  `spielleiter` - Referenz auf einen BlackJack-Spielleiter

#### getGuthaben

    public int getGuthaben()

Liefert das aktuelle Guthaben des Spielers.

Returns:
  Guthaben des Spielers

#### setze

    public void setze(int betrag)

Setzt den Einsatz für das nächste Spiel.

Parameters:
  `betrag` - eingesetzter Betrag

#### abrechnen

    public void abrechnen(double gewinnfaktor)

Rechnet den Gewinn des Spielers ab, da er gewonnen hat.

Parameters:
  `gewinnfaktor` - (0 falls verloren, 1 falls unentschieden, 2 bei normalem Gewinn, 2.5 bei Triple-7 oder Blackjack)

#### neueRunde

    public void neueRunde()

Eine neue Runde wird begonnen. Daher bekommt der Spieler wieder eine leere Kartenhand.

#### getKarten

    public Kartenhand getKarten()

Liefert eine Referenz auf die Kartenhand.

Returns:
  Kartenhand

#### zieheKarte

    public void zieheKarte()

Der Spieler wünscht eine weitere Karte. Diese wird der Kartenhand hinzugefügt.